*** ./lang/webalizer_lang.english.osr6	Thu Oct  5 22:27:48 2000
--- ./lang/webalizer_lang.english	Sun Feb 12 12:00:57 2006
***************
*** 507,580 ****
  { IDX_2C('p','h'),        "Philippines",                      0,0,0 },
  { IDX_2C('p','k'),        "Pakistan",                         0,0,0 },
  { IDX_2C('p','l'),        "Poland",                           0,0,0 },
! { IDX_2C('p','m'),        "St. Pierre and Miquelon",          0,0,0 },
! { IDX_2C('p','n'),        "Pitcairn",                         0,0,0 },
! { IDX_2C('p','r'),        "Puerto Rico",                      0,0,0 },
  { IDX_2C('p','t'),        "Portugal",                         0,0,0 },
  { IDX_2C('p','w'),        "Palau",                            0,0,0 },
  { IDX_2C('p','y'),        "Paraguay",                         0,0,0 },
  { IDX_2C('q','a'),        "Qatar",                            0,0,0 },
! { IDX_2C('r','e'),        "Reunion",                          0,0,0 },
! { IDX_2C('r','o'),        "Romania",                          0,0,0 },
! { IDX_2C('r','u'),        "Russian Federation",               0,0,0 },
! { IDX_2C('r','w'),        "Rwanda",                           0,0,0 },
  { IDX_2C('s','a'),        "Saudi Arabia",                     0,0,0 },
! { IDX_2C('s','B'),        "Solomon Islands",                  0,0,0 },
  { IDX_2C('s','c'),        "Seychelles",                       0,0,0 },
  { IDX_2C('s','d'),        "Sudan",                            0,0,0 },
  { IDX_2C('s','e'),        "Sweden",                           0,0,0 },
  { IDX_2C('s','g'),        "Singapore",                        0,0,0 },
  { IDX_2C('s','h'),        "St. Helena",                       0,0,0 },
  { IDX_2C('s','i'),        "Slovenia",                         0,0,0 },
! { IDX_2C('s','j'),        "Svalbard and Jan Mayen Islands",   0,0,0 },
  { IDX_2C('s','k'),        "Slovak Republic",                  0,0,0 },
  { IDX_2C('s','l'),        "Sierra Leone",                     0,0,0 },
  { IDX_2C('s','m'),        "San Marino",                       0,0,0 },
  { IDX_2C('s','n'),        "Senegal",                          0,0,0 },
  { IDX_2C('s','o'),        "Somalia",                          0,0,0 },
  { IDX_2C('s','r'),        "Suriname",                         0,0,0 },
! { IDX_2C('s','t'),        "Sao Tome and Principe",            0,0,0 },
  { IDX_2C('s','u'),        "USSR (former)",                    0,0,0 },
  { IDX_2C('s','v'),        "El Salvador",                      0,0,0 },
! { IDX_2C('s','y'),        "Syria",                            0,0,0 },
  { IDX_2C('s','z'),        "Swaziland",                        0,0,0 },
! { IDX_2C('t','c'),        "Turks and Caicos Islands",         0,0,0 },
! { IDX_2C('t','d'),        "Chad",                             0,0,0 },
! { IDX_2C('t','f'),        "French Southern Territories",      0,0,0 },
! { IDX_2C('t','g'),        "Togo",                             0,0,0 },
! { IDX_2C('t','h'),        "Thailand",                         0,0,0 },
! { IDX_2C('t','j'),        "Tajikistan",                       0,0,0 },
! { IDX_2C('t','k'),        "Tokelau",                          0,0,0 },
! { IDX_2C('t','m'),        "Turkmenistan",                     0,0,0 },
! { IDX_2C('t','n'),        "Tunisia",                          0,0,0 },
! { IDX_2C('t','o'),        "Tonga",                            0,0,0 },
! { IDX_2C('t','p'),        "East Timor",                       0,0,0 },
! { IDX_2C('t','r'),        "Turkey",                           0,0,0 },
! { IDX_2C('t','t'),        "Trinidad and Tobago",              0,0,0 },
! { IDX_2C('t','v'),        "Tuvalu",                           0,0,0 },
! { IDX_2C('t','w'),        "Taiwan",                           0,0,0 },
! { IDX_2C('t','z'),        "Tanzania",                         0,0,0 },
! { IDX_2C('u','a'),        "Ukraine",                          0,0,0 },
! { IDX_2C('u','g'),        "Uganda",                           0,0,0 },
! { IDX_2C('u','k'),        "United Kingdom",                   0,0,0 },
! { IDX_2C('u','m'),        "US Minor Outlying Islands",        0,0,0 },
! { IDX_2C('u','s'),        "United States",                    0,0,0 },
! { IDX_2C('u','y'),        "Uruguay",                          0,0,0 },
! { IDX_2C('u','z'),        "Uzbekistan",                       0,0,0 },
! { IDX_2C('v','a'),        "Vatican City State (Holy See)",    0,0,0 },
! { IDX_2C('v','c'),        "Saint Vincent and the Grenadines", 0,0,0 },
  { IDX_2C('v','e'),        "Venezuela",                        0,0,0 },
! { IDX_2C('v','g'),        "Virgin Islands (British)",         0,0,0 },
! { IDX_2C('v','i'),        "Virgin Islands (U.S.)",            0,0,0 },
! { IDX_2C('v','n'),        "Viet Nam",                         0,0,0 },
  { IDX_2C('v','u'),        "Vanuatu",                          0,0,0 },
! { IDX_2C('w','f'),        "Wallis and Futuna Islands",        0,0,0 },
  { IDX_2C('w','s'),        "Samoa",                            0,0,0 },
! { IDX_2C('y','e'),        "Yemen",                            0,0,0 },
! { IDX_2C('y','t'),        "Mayotte",                          0,0,0 },
! { IDX_2C('y','u'),        "Yugoslavia",                       0,0,0 },
! { IDX_2C('z','a'),        "South Africa",                     0,0,0 },
! { IDX_2C('z','m'),        "Zambia",                           0,0,0 },
  { IDX_2C('z','r'),        "Zaire",                            0,0,0 },
! { IDX_2C('z','w'),        "Zimbabwe",                         0,0,0 },
  { 0              ,        NULL,                               0,0,0 }};
--- 523,597 ----
  { IDX_2C('p','h'),        "Philippines",                      0,0,0 },
  { IDX_2C('p','k'),        "Pakistan",                         0,0,0 },
  { IDX_2C('p','l'),        "Poland",                           0,0,0 },
! { IDX_2C('p','m'),        "St. Pierre &amp; Miquelon",        0,0,0 },
! { IDX_2C('p','n'), 	  "Pitcairn Island",		      0,0,0 },
! { IDX_2C('p','r'), 	  "Puerto Rico",		      0,0,0 },
! { IDX_2C('p','s'), 	  "Palestinian Territories",	      0,0,0 },
  { IDX_2C('p','t'),        "Portugal",                         0,0,0 },
  { IDX_2C('p','w'),        "Palau",                            0,0,0 },
  { IDX_2C('p','y'),        "Paraguay",                         0,0,0 },
  { IDX_2C('q','a'),        "Qatar",                            0,0,0 },
! { IDX_2C('r','e'), 	  "Reunion Island",		      0,0,0 },
! { IDX_2C('r','o'), 	  "Romania",			      0,0,0 },
! { IDX_2C('r','u'), 	  "Russian Federation",		      0,0,0 },
! { IDX_2C('r','w'), 	  "Rwanda",			      0,0,0 },
  { IDX_2C('s','a'),        "Saudi Arabia",                     0,0,0 },
! { IDX_2C('s','b'),        "Solomon Islands",                  0,0,0 },
  { IDX_2C('s','c'),        "Seychelles",                       0,0,0 },
  { IDX_2C('s','d'),        "Sudan",                            0,0,0 },
  { IDX_2C('s','e'),        "Sweden",                           0,0,0 },
  { IDX_2C('s','g'),        "Singapore",                        0,0,0 },
  { IDX_2C('s','h'),        "St. Helena",                       0,0,0 },
  { IDX_2C('s','i'),        "Slovenia",                         0,0,0 },
! { IDX_2C('s','j'),        "Svalbard &amp; Jan Mayen Isls.",   0,0,0 },
  { IDX_2C('s','k'),        "Slovak Republic",                  0,0,0 },
  { IDX_2C('s','l'),        "Sierra Leone",                     0,0,0 },
  { IDX_2C('s','m'),        "San Marino",                       0,0,0 },
  { IDX_2C('s','n'),        "Senegal",                          0,0,0 },
  { IDX_2C('s','o'),        "Somalia",                          0,0,0 },
  { IDX_2C('s','r'),        "Suriname",                         0,0,0 },
! { IDX_2C('s','t'),        "Sao Tome &amp; Principe",          0,0,0 },
  { IDX_2C('s','u'),        "USSR (former)",                    0,0,0 },
  { IDX_2C('s','v'),        "El Salvador",                      0,0,0 },
! { IDX_2C('s','y'), 	  "Syrian Arab Republic",	      0,0,0 },
  { IDX_2C('s','z'),        "Swaziland",                        0,0,0 },
! { IDX_2C('t','c'), 	  "Turks &amp; Caicos Islands",	      0,0,0 },
! { IDX_2C('t','d'), 	  "Chad",			      0,0,0 },
! { IDX_2C('t','f'), 	  "French Southern Territories",      0,0,0 },
! { IDX_2C('t','g'), 	  "Togo",			      0,0,0 },
! { IDX_2C('t','h'), 	  "Thailand",			      0,0,0 },
! { IDX_2C('t','j'), 	  "Tajikistan",			      0,0,0 },
! { IDX_2C('t','k'), 	  "Tokelau",			      0,0,0 },
! { IDX_2C('t','m'), 	  "Turkmenistan",		      0,0,0 },
! { IDX_2C('t','n'), 	  "Tunisia",			      0,0,0 },
! { IDX_2C('t','o'), 	  "Tonga",			      0,0,0 },
! { IDX_2C('t','p'), 	  "East Timor",			      0,0,0 },
! { IDX_2C('t','r'), 	  "Turkey",			      0,0,0 },
! { IDX_2C('t','t'), 	  "Trinidad &amp; Tobago",	      0,0,0 },
! { IDX_2C('t','v'), 	  "Tuvalu",			      0,0,0 },
! { IDX_2C('t','w'), 	  "Taiwan",			      0,0,0 },
! { IDX_2C('t','z'), 	  "Tanzania",			      0,0,0 },
! { IDX_2C('u','a'), 	  "Ukraine",			      0,0,0 },
! { IDX_2C('u','g'), 	  "Uganda",			      0,0,0 },
! { IDX_2C('u','k'), 	  "United Kingdom",		      0,0,0 },
! { IDX_2C('u','m'), 	  "US Minor Outlying Islands",	      0,0,0 },
! { IDX_2C('u','s'), 	  "United States",		      0,0,0 },
! { IDX_2C('u','y'), 	  "Uruguay",			      0,0,0 },
! { IDX_2C('u','z'), 	  "Uzbekistan",			      0,0,0 },
! { IDX_2C('v','a'),        "Holy See (Vatican City)",	      0,0,0 },
! { IDX_2C('v','c'),        "Saint Vincent &amp; the Grenadines", 0,0,0 },
  { IDX_2C('v','e'),        "Venezuela",                        0,0,0 },
! { IDX_2C('v','g'),        "Virgin Islands (UK)",              0,0,0 },
! { IDX_2C('v','i'), 	  "Virgin Islands (US)",	      0,0,0 },
! { IDX_2C('v','n'), 	  "Vietnam",			      0,0,0 },
  { IDX_2C('v','u'),        "Vanuatu",                          0,0,0 },
! { IDX_2C('w','f'),        "Wallis &amp; Futuna Islands",      0,0,0 },
  { IDX_2C('w','s'),        "Samoa",                            0,0,0 },
! { IDX_2C('y','e'), 	  "Yemen",			      0,0,0 },
! { IDX_2C('y','t'), 	  "Mayotte",			      0,0,0 },
! { IDX_2C('y','u'), 	  "Yugoslavia",			      0,0,0 },
! { IDX_2C('z','a'), 	  "South Africa",		      0,0,0 },
! { IDX_2C('z','m'), 	  "Zambia",			      0,0,0 },
  { IDX_2C('z','r'),        "Zaire",                            0,0,0 },
! { IDX_2C('z','w'), 	  "Zimbabwe",			      0,0,0 },
  { 0              ,        NULL,                               0,0,0 }};
*** ./Install-OSR6.osr6	Sun Feb 12 12:00:39 2006
--- ./Install-OSR6	Sun Feb 12 12:00:39 2006
***************
*** 0 ****
--- 1,14 ----
+ #!/bin/sh
+ 
+ MOUT=mout-install
+ DEST=/u/tmp/webalizer
+ 
+ [ -d $DEST ] && rm -rf $DEST
+ mkdir -p $DEST/usr/bin
+ mkdir -p $DEST/usr/man/man1
+ mkdir -p $DEST/etc
+ 
+ [ -f $MOUT ] && mv $MOUT $MOUT.prev
+ make install \
+      prefix=$DEST/usr ETCDIR=$DEST/etc \
+      2>&1 | tee $MOUT
*** ./Makefile.std.osr6	Mon Oct 16 21:15:53 2000
--- ./Makefile.std	Sun Feb 12 12:00:57 2006
***************
*** 24,30 ****
  MANDIR = ${prefix}/man/man1
  ETCDIR = /etc
  CC     = gcc
! CFLAGS = -Wall -O2
  LIBS   = -lgd -lpng -lz -lm
  LDFLAGS= -L/usr/local/lib
  
--- 24,30 ----
  MANDIR = ${prefix}/man/man1
  ETCDIR = /etc
  CC     = gcc
! CFLAGS = -Wall -O2 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
  LIBS   = -lgd -lpng -lz -lm
  LDFLAGS= -L/usr/local/lib
  
*** ./dns_resolv.h.osr6	Thu Sep 28 20:51:02 2000
--- ./dns_resolv.h	Sun Feb 12 12:00:57 2006
***************
*** 33,39 ****
  #define DNS_CHILD_RUNNING 0x2
  
  #define MAXCHILD          100         /* Maximum number of DNS children     */
! #define DNS_CACHE_TTL     86400*3     /* TTL of an Entry in the DNS cache   */
  
  #endif  /* USE_DNS */
  #endif  /* _DNS_RESOLV_H */
--- 33,39 ----
  #define DNS_CHILD_RUNNING 0x2
  
  #define MAXCHILD          100         /* Maximum number of DNS children     */
! #define DNS_CACHE_TTL     86400*32    /* TTL of an Entry in the DNS cache   */
  
  #endif  /* USE_DNS */
  #endif  /* _DNS_RESOLV_H */
*** ./output.c.osr6	Sun Feb 12 12:04:24 2006
--- ./output.c	Sun Feb 12 12:05:43 2006
***************
*** 2416,2428 ****
     int  i,days_in_month;
     int  lyear=0;
     int	s_mth=0;
!    double  gt_hit=0.0;
!    double  gt_files=0.0;
!    double  gt_pages=0.0;
!    double  gt_xfer=0.0;
!    double  gt_visits=0.0;
     char    index_fname[256];
     char    buffer[BUFSIZE];
  
     if (verbose>1) printf("%s\n",msg_gen_sum);
  
--- 2416,2430 ----
     int  i,days_in_month;
     int  lyear=0;
     int	s_mth=0;
!    u_int64_t  gt_hit=0;
!    u_int64_t  gt_files=0;
!    u_int64_t  gt_pages=0;
!    u_int64_t  gt_xfer=0;
!    u_int64_t  gt_visits=0;
     char    index_fname[256];
     char    buffer[BUFSIZE];
+    int	earliest_month = 0;	/* earliest month in the 1st 12 month summary */
+    int	earliest_year = 0;	/* earliest month in the 1st 12 year summary */
  
     if (verbose>1) printf("%s\n",msg_gen_sum);
  
***************
*** 2497,2502 ****
--- 2499,2506 ----
     fprintf(out_fp,"<TH ALIGN=center BGCOLOR=\"%s\">"                      \
            "<FONT SIZE=\"-1\">%s</FONT></TH></TR>\n",DKGREEN,msg_h_hits);
     fprintf(out_fp,"<TR><TH HEIGHT=4></TH></TR>\n");
+ 
+    /* output up to the most recent 12 months */
     for (i=0;i<12;i++)
     {
        if (--s_mth < 0) s_mth = 11;
***************
*** 2531,2555 ****
        gt_pages += hist_page[s_mth];
        gt_xfer  += hist_xfer[s_mth];
        gt_visits+= hist_visit[s_mth];
     }
!    fprintf(out_fp,"<TR><TH HEIGHT=4></TH></TR>\n");
!    fprintf(out_fp,"<TR><TH BGCOLOR=\"%s\" COLSPAN=6 ALIGN=left>"          \
!           "<FONT SIZE=\"-1\">%s</FONT></TH>\n",GREY,msg_h_totals);
!    fprintf(out_fp,"<TH BGCOLOR=\"%s\" ALIGN=right>"                       \
!           "<FONT SIZE=\"-1\">%.0f</FONT></TH>\n",GREY,gt_xfer);
!    fprintf(out_fp,"<TH BGCOLOR=\"%s\" ALIGN=right>"                       \
!           "<FONT SIZE=\"-1\">%.0f</FONT></TH>\n",GREY,gt_visits);
!    fprintf(out_fp,"<TH BGCOLOR=\"%s\" ALIGN=right>"                       \
!           "<FONT SIZE=\"-1\">%.0f</FONT></TH>\n",GREY,gt_pages);
!    fprintf(out_fp,"<TH BGCOLOR=\"%s\" ALIGN=right>"                       \
!           "<FONT SIZE=\"-1\">%.0f</FONT></TH>\n",GREY,gt_files);
!    fprintf(out_fp,"<TH BGCOLOR=\"%s\" ALIGN=right>"                       \
!           "<FONT SIZE=\"-1\">%.0f</FONT></TH></TR>\n",GREY,gt_hit);
!    fprintf(out_fp,"<TR><TH HEIGHT=4></TH></TR>\n");
!    fprintf(out_fp,"</TABLE>\n");
!    write_html_tail(out_fp);
!    fclose(out_fp);
!    return 0;
  }
  
  /*********************************************/
--- 2535,2730 ----
        gt_pages += hist_page[s_mth];
        gt_xfer  += hist_xfer[s_mth];
        gt_visits+= hist_visit[s_mth];
+       /* remember the oldest month we processed */
+       earliest_month = hist_month[s_mth];
+       earliest_year = hist_year[s_mth];
     }
! 
!    /* output HTML for any older months in the summary file */
!    {
!    	FILE *sumfile;		/* open history summary file */
! 	char inbuf[BUFSIZ+1];	/* input buffer */
! 	int summary_year;	/* year of summary as yyyy */
! 	int summary_month;	/* month of summary as 2 digit number */
! 	char summary_mname[BUFSIZ+1];	/* month of summary as 3 char name */
! 	char summary_path[BUFSIZ+1];	/* usage_yyyymm.html file path */
! 	u_int64_t summary_dhits;	/* daily average Hits for this month */
! 	u_int64_t summary_dfiles;	/* daily average Files for this month */
! 	u_int64_t summary_dpages;	/* daily average Pages for this month */
! 	u_int64_t summary_dvisits;	/* daily average Visits for month */
! 	u_int64_t summary_tsites;	/* total Sites for this month */
! 	u_int64_t summary_tkbytes;	/* total KBytes for this month */
! 	u_int64_t summary_tvisits;	/* total Visits for this month */
! 	u_int64_t summary_tpages;	/* total Pages for this month */
! 	u_int64_t summary_tfiles;	/* total Files for this month */
! 	u_int64_t summary_thits;	/* total Hits for this month */
! 
! 	/* open the summary which is found in the history sub-directory */
! 	sumfile = fopen("../history/summary","r");
! 	if (sumfile != NULL) {
! 
! 	    /* process lines in summary file */
! 	    while (fgets(inbuf, BUFSIZ, sumfile) != NULL) {
! 
! 		/* parse the summary line */
! 		inbuf[BUFSIZ] = '\0';
! 		if (sscanf(inbuf,
! 			   "%4d %2d %3s %s "
! 			   "%llu %llu %llu %llu %llu "
! 			   "%llu %llu %llu %llu %llu\n",
! 			   &summary_year, &summary_month, summary_mname,
! 			   summary_path, &summary_dhits, &summary_dfiles,
! 			   &summary_dpages, &summary_dvisits, &summary_tsites,
! 			   &summary_tkbytes, &summary_tvisits, &summary_tpages,
! 			   &summary_tfiles, &summary_thits) == 14) {
! 
! 		    /*
! 		     * ignore this month if it is as or more recent than
! 		     * the earliest month printed in the 12 month recent
! 		     * months as procssed in the previous section of code
! 		     */
! 		    if (summary_year > earliest_year ||
! 		        (summary_year == earliest_year &&
! 			 summary_month >= earliest_month)) {
! 			continue;
! 		    }
! 
! 		    /* output the HTML for this summary month */
! 		    fprintf(out_fp,
! 			"<TR><TD NOWRAP><A HREF=\"%s\">"
! 			"<FONT SIZE=\"-1\">%s %d</FONT></A></TD>\n",
! 			summary_path, summary_mname, summary_year);
! 
! 		    fprintf(out_fp,
! 			"<TD ALIGN=right><FONT SIZE=\"-1\">%llu</FONT></TD>\n",
! 			summary_dhits);
! 		    fprintf(out_fp,
! 		        "<TD ALIGN=right><FONT SIZE=\"-1\">%lld</FONT></TD>\n",
! 			summary_dfiles);
! 		    fprintf(out_fp,
! 		    	"<TD ALIGN=right><FONT SIZE=\"-1\">%lld</FONT></TD>\n",
! 			summary_dpages);
! 		    fprintf(out_fp,
! 		    	"<TD ALIGN=right><FONT SIZE=\"-1\">%lld</FONT></TD>\n",
! 			summary_dvisits);
! 		    fprintf(out_fp,
! 		    	"<TD ALIGN=right><FONT SIZE=\"-1\">%lld</FONT></TD>\n",
! 			summary_tsites);
! 		    fprintf(out_fp,
! 		    	"<TD ALIGN=right><FONT SIZE=\"-1\">%lld</FONT></TD>\n",
! 			summary_tkbytes);
! 		    fprintf(out_fp,
! 		    	"<TD ALIGN=right><FONT SIZE=\"-1\">%lld</FONT></TD>\n",
! 			summary_tvisits);
! 		    fprintf(out_fp,
! 		    	"<TD ALIGN=right><FONT SIZE=\"-1\">%lld</FONT></TD>\n",
! 			summary_tpages);
! 		    fprintf(out_fp,
! 		    	"<TD ALIGN=right><FONT SIZE=\"-1\">%lld</FONT></TD>\n",
! 			summary_tfiles);
! 		    fprintf(out_fp,
! 			"<TD ALIGN=right><FONT SIZE=\"-1\">%llu</FONT></TD></TR>\n",
! 			summary_thits);
! 		    gt_hit   += summary_thits;
! 		    gt_files += summary_tfiles;
! 		    gt_pages += summary_tpages;
! 		    gt_xfer  += summary_tkbytes;
! 		    gt_visits+= summary_tvisits;
! 		}
! 	   }
! 	   fclose(sumfile);
! 	}
!     }
! 
!    /* output the pre-history file */
!    {
!    	FILE *prehist;		/* open pre-history file */
! 	char inbuf[BUFSIZ+1];	/* input buffer */
! 	int summary_year;	/* year of summary as yyyy */
! 	int summary_month;	/* month of summary as 2 digit number */
! 	char summary_mname[BUFSIZ+1];	/* month of summary as 3 char name */
! 	char summary_path[BUFSIZ+1];	/* usage_yyyymm.html file path */
! 	u_int64_t summary_dhits;	/* daily average Hits for this month */
! 	u_int64_t summary_dfiles;	/* daily average Files for this month */
! 	u_int64_t summary_dpages;	/* daily average Pages for this month */
! 	u_int64_t summary_dvisits;	/* daily average Visits for month */
! 	u_int64_t summary_tsites;	/* total Sites for this month */
! 	u_int64_t summary_tkbytes;	/* total KBytes for this month */
! 	u_int64_t summary_tvisits;	/* total Visits for this month */
! 	u_int64_t summary_tpages;	/* total Pages for this month */
! 	u_int64_t summary_tfiles;	/* total Files for this month */
! 	u_int64_t summary_thits;	/* total Hits for this month */
! 
! 	/* open the pre-history which is found in the history sub-directory */
! 	prehist = fopen("../history/prehistory","r");
! 	if (prehist != NULL) {
! 
! 	    /* there is just 1 line in the pre-history file - process it */
! 	    if (fgets(inbuf, BUFSIZ, prehist) != NULL) {
! 
! 		/* parse the summary line */
! 		inbuf[BUFSIZ] = '\0';
! 		if (sscanf(inbuf,
! 			   "%4d %2d %3s %s "
! 			   "%llu %llu %llu %llu %llu "
! 			   "%llu %llu %llu %llu %llu\n", 
! 			   &summary_year, &summary_month, summary_mname,
! 			   summary_path, &summary_dhits, &summary_dfiles,
! 			   &summary_dpages, &summary_dvisits, &summary_tsites,
! 			   &summary_tkbytes, &summary_tvisits, &summary_tpages,
! 			   &summary_tfiles, &summary_thits) == 14) {
! 
! 		    fprintf(out_fp, "<TR><TH HEIGHT=4></TH></TR>\n");
! 		    fprintf(out_fp,
! 		        "<TR><TD COLSPAN=6 ALIGN=left NOWRAP>"
! 			"<FONT SIZE=\"-1\"><B>Before %s %d</B></FONT></TD>\n",
! 			summary_mname, summary_year);
! 		    fprintf(out_fp,
! 		        "<TD ALIGN=right><FONT SIZE=\"-1\">%lld</FONT></TD>\n",
! 			summary_tkbytes);
! 		    fprintf(out_fp,
! 		    	"<TD ALIGN=right><FONT SIZE=\"-1\">%lld</FONT></TD>\n",
! 			summary_tvisits);
! 		    fprintf(out_fp,
! 		        "<TD ALIGN=right><FONT SIZE=\"-1\">%lld</FONT></TD>\n",
! 			summary_tpages);
! 		    fprintf(out_fp,
! 		        "<TD ALIGN=right><FONT SIZE=\"-1\">%lld</FONT></TD>\n",
! 			summary_tfiles);
! 		    fprintf(out_fp,
! 		        "<TD ALIGN=right><FONT SIZE=\"-1\">%lld</FONT></TD>\n"
! 			"</TR>\n",
! 			summary_thits);
! 		
! 		    gt_hit   += summary_thits;
! 		    gt_files += summary_tfiles;
! 		    gt_pages += summary_tpages;
! 		    gt_xfer  += summary_tkbytes;
! 		    gt_visits+= summary_tvisits;
! 		}
! 	   }
! 	   fclose(prehist);
! 	}
!     }
! 
!     fprintf(out_fp,"<TR><TH HEIGHT=4></TH></TR>\n");
!     fprintf(out_fp,"<TR><TD BGCOLOR=\"%s\" COLSPAN=6 ALIGN=left>"          \
! 	  "<FONT SIZE=\"-1\"><B>%s</B></FONT></TD>\n",GREY,msg_h_totals);
!     fprintf(out_fp,"<TD BGCOLOR=\"%s\" ALIGN=right>"                       \
! 	  "<FONT SIZE=\"-1\"><B>%lld</B></FONT></TD>\n",GREY,gt_xfer);
!     fprintf(out_fp,"<TD BGCOLOR=\"%s\" ALIGN=right>"                       \
! 	  "<FONT SIZE=\"-1\"><B>%lld</B></FONT></TD>\n",GREY,gt_visits);
!     fprintf(out_fp,"<TD BGCOLOR=\"%s\" ALIGN=right>"                       \
! 	  "<FONT SIZE=\"-1\"><B>%lld</B></FONT></TD>\n",GREY,gt_pages);
!     fprintf(out_fp,"<TD BGCOLOR=\"%s\" ALIGN=right>"                       \
! 	  "<FONT SIZE=\"-1\"><B>%lld</B></FONT></TD>\n",GREY,gt_files);
!     fprintf(out_fp,"<TD BGCOLOR=\"%s\" ALIGN=right>"                       \
! 	  "<FONT SIZE=\"-1\"><B>%lld</B></FONT></TD></TR>\n",GREY,gt_hit);
!     fprintf(out_fp,"<TR><TH HEIGHT=4></TH></TR>\n");
!     fprintf(out_fp,"</TABLE>\n");
!     write_html_tail(out_fp);
!     fclose(out_fp);
!     return 0;
  }
  
  /*********************************************/
